Suppress output during Engine cipher test

11/15/2011 01:12 AM - MartinBosslet (Martin Bosslet)

Status: Closed   

Priority: Normal   

Assignee: MartinBosslet (Martin Bosslet)   

Target version: 2.0.0   

ruby -v: trunk Backport:  

Description

While running the tests for OpenSSL::Engine in test_engine.rb,

test_openssl_engine_cipher_rc4 emits a message that is issued

by the "openssl engine" itself.

The message should be suppressed.

Associated revisions

Revision 452b74c1 - 11/24/2011 01:09 AM - MartinBosslet (Martin Bosslet)

test/openssl/test_engine.rb: Suppress output from 'openssl'

engine's RC4 cipher.

[Bug #5633] [ruby-core:41026]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33825 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/24/2011 10:09 AM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r33825.

Martin, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.
